[wp-testers] A bug ! WordPress 3.0-Beta1

Andrew Nacin wp at andrewnacin.com
Sun Apr 4 11:50:07 UTC 2010

On Sun, Apr 4, 2010 at 7:08 AM, due chiacchiere <info at duechiacchiere.it>wrote:

> On 4/3/2010 11:26 PM, Micross wrote:
>> When I try to edit the theme twentyten ,a bug appears:
>>  PHP Warning: file_exists(): open_basedir restriction in effect.
>> File(D:\wwwroot\wordpress/wp-contentD:\wwwroot\wordpress/wp-content/themes/twentyten/editor-style.css)
>> is not within the allowed path(s): (D:/wwwroot) in
>> D:\wwwroot\wordpress\wp-admin\includes\file.php on line 52
> It's not a bug, it's your PHP that has safety restrictions in place :)
> Search on Google for 'open_basedir restriction' to find out how to solve
> this issue :) Happy Easter.

That may be the case, but it looks like it reveals another bug I can also
reproduce in
2.9: D:\wwwroot\wordpress/wp-contentD:\wwwroot\wordpress/wp-content/themes/twentyten/editor-style.css.
Note the path to the content directory twice.

More information about the wp-testers mailing list